Name:		luma
Version:	3.0.7
Release: 	2%{?dist}
Summary:	A graphical tool for managing LDAP servers

Group:		Applications/System
License:	GPLv2
URL:		http://www.sourceforge.net/projects/luma
Source0:	http://prdownloads.sourceforge.net/luma/luma-%{version}.tar.gz
Patch1:		luma-3.0.7-desktop.patch

BuildArch:	noarch 

BuildRequires:	python-devel >= 2.6
BuildRequires:	PyQt4
BuildRequires:	python-ldap >= 2.3
BuildRequires:	python-smbpasswd
BuildRequires:	desktop-file-utils
BuildRequires:  ImageMagick

Requires:	python >= 2.6
Requires:	PyQt4
Requires:	python-ldap >= 2.3
Requires:	python-smbpasswd

%description
Luma - a graphical tool for accessing and managing LDAP 
servers. It is written in Python, using PyQt and python-ldap. 
Plugin-support is included and useful widgets with LDAP-
functionality for easy creation of plugins are delivered.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1 -b .dsk

%build
python ./setup.py build

%install
python ./setup.py install --root=$RPM_BUILD_ROOT

# Add plugins/browser/templates
install -d $RPM_BUILD_ROOT%{python_sitelib}/luma/plugins/browser/templates
cp -R luma/plugins/browser/templates/* \
   $RPM_BUILD_ROOT%{python_sitelib}/luma/plugins/browser/templates

# Desktop entry for luma-settings
desktop-file-validate \
	$RPM_BUILD_ROOT%{_datadir}/applications/luma.desktop  

%files
%defattr(-,root,root,-)
%{_bindir}/luma

%{_datadir}/icons/
%{_datadir}/pixmaps/

%{_datadir}/applications/luma.desktop

%{_mandir}/man1/luma.1.gz

%{python_sitelib}/

%doc AUTHORS ChangeLog COPYING README TODO

%changelog
* Thu Jan 31 2013 Jochen Schmitt <Jochen herr-schmitt de> - 3.0.7-2
- Add ../plugins/browser/templates (#906498)

* Tue Oct  2 2012 Jochen Schmitt <JOchen herr-schmitt de> - 3.0.7-1
- New upstream release

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 Jochen Schmitt <Jochen herr-schmitt de> - 2.4-8
- Rebuild for python-2.7 (#623333)

* Sun Mar 14 2010 Jochen Schmitt <Jochen herr-schmitt de> - 2.4-7
- Set StartupNotify=true in desktop file

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.4-4
- Rebuild for Python 2.6

* Sun Mar 30 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.4-3
- Create missing icon file (#437618)

* Thu Feb 28 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.4-1
- New upstream release

* Wed Jan 23 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.3-14
- Rebuild

* Wed Aug  8 2007 Jochen Schmitt <Jochen herr-schmitt de> 2.3-13
- Changing license tag

* Tue Jun 12 2007 Jochen Schmitt <Jochen herr-schmitt de> 2.3-12
- Requires python-ldap-2.3 when using python-2.5 (#221167)

* Mon May 28 2007 Jochen Schmitt <Jochen herr-schmitt de> 2.3-10
- Add extranouse spaces in menu choices (#241050)

* Sun Mar 11 2007 Jochen Schmitt <Jochen herr-schmitt de> 2.3-9
- Add SMD5-patchno (#228269)

* Mon Oct 16 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.3-8
- Fix x64 problem

* Sun Oct 15 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.3-7
- Fix plugin loading problem

* Mon Oct  9 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.3-6
- Some changes on the desktop file.

* Thu Aug 10 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.3-5
- Remove %%ghost becouse new packaging guidelines.

* Wed Aug  9 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.3-4
- Move python files to %%{_datadir}/luma/lib

* Wed Jul 26 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.3-3
- Add Requires
- Add %%lang before language specific files
- Change versioning schema to upstream

* Tue Jul 25 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.3.0-1
- Initial RPM
